# Stable Kernel Patches Review Status
Please list your name and review result below the patch item

  * UR:  Under Review
  * ACK: Acknowledge (if the patch is accepted)
  * TBB: To be backported (if other patches should be also backported)
  * NAK: Negative acknowledge (if the patch is rejected, please list the reason)
  * IGN: Patch was not reviewed as it is out of scope for CIP project


## v6.1.48
  - cd363bb9548ec Linux 6.1.48
  - 7487244912b13 x86/srso: Correct the mitigation status when SMT is disabled
  ACK: pavel
  - 4da4aae04b7f3 objtool/x86: Fixup frame-pointer vs rethunk
  - c8b056a3b4ebb x86/retpoline,kprobes: Fix position of thunk sections with CONFIG_LTO_CLANG
  ACK: pavel
  - dae93ed961a8a x86/srso: Disable the mitigation on unaffected configurations
  ACK: pavel -- buggy, fixed below
  - e4679a0342e05 x86/CPU/AMD: Fix the DIV(0) initial fix attempt
  ACK: pavel
  - b41eb316c95c9 x86/retpoline: Don't clobber RFLAGS during srso_safe_ret()
  ACK: pavel
  - c1f831425fe90 x86/static_call: Fix __static_call_fixup()
  ACK: pavel
  - c16d0b3baff41 x86/srso: Explain the untraining sequences a bit more
  ACK: pavel -- just a documentation tweak
  - 529a9f087a7e0 x86/cpu: Cleanup the untrain mess
  ACK: pavel -- just a cleanup
  - e6b40d2cb5aae x86/cpu: Rename srso_(.*)_alias to srso_alias_\1
  UR: pavel
  - 54dde78a50a8e x86/cpu: Rename original retbleed methods
  UR: pavel --a just a cleanup
  - 44dbc912fd8a1 x86/cpu: Clean up SRSO return thunk mess
  ACK: pavel -- just a cleanup
  - 53ebbe1c8c02a x86/alternative: Make custom return thunk unconditional
  UR: pavel --! very different from mainline
  - 8bb1ed390d358 x86/cpu: Fix up srso_safe_ret() and __x86_return_thunk()
  ACK: pavel -- just a warning fix
  - 6e4dd7d2636d8 x86/cpu: Fix __x86_return_thunk symbol type
  ACK: pavel
